<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<ExtensionManifest xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" ExtensionBundleId="Atom"
	ExtensionBundleVersion="3.2.5" ExtensionBundleName="AtomX" Version="5.0"><!--
	MAJOR-VERSION-UPDATE-MARKER -->
	<ExtensionList>
		<Extension Id="Atom" Version="3.2.5" />
		<Extension Id="Atom.textAnimatorBuilder" Version="1.0" />
	</ExtensionList>
	<ExecutionEnvironment>
		<HostList>
			<Host Name="PPRO" Version="[12.0,99.9]" />
			<Host Name="AEFT" Version="[14.0,99.9]" />
			<Host Name="PHSP" Version="[18.0,99.9]" />
			<Host Name="PHXS" Version="[18.0,99.9]" />
			<Host Name="ILST" Version="[21.0,99.9]" />
		</HostList>
		<LocaleList>
			<Locale Code="All" />
		</LocaleList>
		<RequiredRuntimeList>
			<RequiredRuntime Name="CSXS" Version="10.0" />
		</RequiredRuntimeList>
	</ExecutionEnvironment>
	<DispatchInfoList>
		<Extension Id="Atom">
			<DispatchInfo>
				<Resources>
					<MainPath>./index.html</MainPath>
					<CEFCommandLine>
						<Parameter>--enable-nodejs</Parameter>
						<Parameter>--mixed-context</Parameter>
						<Parameter>--high-dpi-support=1</Parameter>
						<Parameter>--disable-pinch</Parameter>
						<Parameter>--allow-file-access</Parameter>
						<Parameter>--allow-file-access-from-files</Parameter>
					</CEFCommandLine>
				</Resources>
				<Lifecycle>
					<AutoVisible>true</AutoVisible>
				</Lifecycle>
				<UI>
					<Type>Panel</Type>
					<Menu>AtomX</Menu>
					<Geometry>
						<Size>
							<Height>400</Height>
							<Width>400</Width>
						</Size>
						<MinSize>
							<Height>400</Height>
							<Width>400</Width>
						</MinSize>
					</Geometry>
					<Icons>
						<Icon Type="Normal">./img/app_icon.png</Icon>
					</Icons>
				</UI>
			</DispatchInfo>
		</Extension>
		<!-- Special Dialog for Scripts -->
		<Extension Id="Atom.textAnimatorBuilder">
			<DispatchInfo>
				<Resources>
					<!-- <MainPath>./html/index.html</MainPath>
					<ScriptPath>./jsx/core.jsx</ScriptPath> -->
					<MainPath>./engines/textAnimatorBuilder.html</MainPath>
					<CEFCommandLine>
						<Parameter>--enable-speech-input</Parameter>
						<Parameter>--enable-media-stream</Parameter>
						<Parameter>--enable-nodejs</Parameter>
					</CEFCommandLine>
				</Resources>
				<Lifecycle>
					<AutoVisible>true</AutoVisible>
				</Lifecycle>
				<UI>
					<Type>Custom</Type>
					<Geometry>
						<Size>
							<Height>580</Height>
							<Width>1020</Width>
						</Size>
						<MaxSize>
							<Height>800</Height>
							<Width>1200</Width>
						</MaxSize>
						<MinSize>
							<Height>400</Height>
							<Width>600</Width>
						</MinSize>
					</Geometry>
				</UI>
			</DispatchInfo>
		</Extension>

	</DispatchInfoList>
</ExtensionManifest>